aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/Makefile.am (follow)
Commit message (Expand)AuthorAgeFilesLines
* autotools: adding install-exec-hook to automakeDavid M. Syzdek2023-01-171-0/+10
* autotools: updating EXTRA_DISTDavid M. Syzdek2023-01-171-0/+1
* tests: adding test-otputil-otp.shDavid M. Syzdek2023-01-171-0/+11
* otputil: adding 'otp' and 'skey' widgetsDavid M. Syzdek2023-01-161-0/+2
* test-otp: adding testDavid M. Syzdek2023-01-121-0/+10
* libotputil: adding otputil_otp_code()David M. Syzdek2023-01-111-0/+2
* libotputil: renaming lrfc2289-otp.c to lrfc2289-otp-dict.cDavid M. Syzdek2023-01-111-2/+2
* otp-data-generate.sh: adding scriptDavid M. Syzdek2023-01-101-0/+1
* otp-data-convert: adding programDavid M. Syzdek2023-01-101-0/+14
* libotputil: adding otputil_skey_dict_word()David M. Syzdek2023-01-101-0/+2
* libotputil: adding placeholders for lrfc6238-totp.cDavid M. Syzdek2023-01-101-0/+2
* libotputil: renaming lotp-rfc2289.c to lrfc2289-otp.cDavid M. Syzdek2023-01-101-2/+2
* libotputil: renaming lskey-rfc1760-dict.c to lrfc1760-skey-dict.cDavid M. Syzdek2023-01-101-2/+2
* libotputil: renaming lhotp.c to lrfc4226-hotp.cDavid M. Syzdek2023-01-101-3/+3
* libotputil: renaming lotp.c to lotp-rfc2289.cDavid M. Syzdek2023-01-101-4/+4
* libotputil: adding otputil_compat.hDavid M. Syzdek2023-01-101-1/+2
* libotputil: moving core functions to lcore.cDavid M. Syzdek2023-01-101-1/+2
* libotputil: moving HOTP (RFC 4226)/TOTP (RFC 6238) functions to lhotp.cDavid M. Syzdek2023-01-101-0/+2
* libotputil: moving miscellaneous functions to lmisc.cDavid M. Syzdek2023-01-101-0/+2
* autotools: adding missing sourcesDavid M. Syzdek2023-01-101-1/+2
* libotputil: moving OTP (RFC 2289) functionsDavid M. Syzdek2023-01-101-0/+2
* libotputil: moving berval functions to separate source filesDavid M. Syzdek2023-01-091-0/+2
* test-otp-decode: adding testDavid M. Syzdek2023-01-091-0/+10
* test-otp-encode: adding testDavid M. Syzdek2023-01-091-0/+10
* test-dict-otp: moving OTP dictionaries from library to test sourcesDavid M. Syzdek2023-01-071-8/+9
* libotputil: adding otputil_dict_rfc2289_sha1[]David M. Syzdek2023-01-061-1/+2
* libotputil: adding otputil_dict_rfc2289_md5[]David M. Syzdek2023-01-061-1/+2
* test-dict-otp: adding testDavid M. Syzdek2023-01-061-0/+8
* libotputil: adding otputil_dict_rfc2289_md4[]David M. Syzdek2023-01-051-1/+2
* libotputil: fixing source file nameDavid M. Syzdek2023-01-051-1/+1
* libotputil: adding otputil_dict_otp_md4[]David M. Syzdek2023-01-051-0/+1
* libotputil: adding otputil_dict_otp_md5[]David M. Syzdek2023-01-051-0/+1
* libotputil: renaming s/key dictionary to otputil_dict_rfc1760[]David M. Syzdek2023-01-051-1/+1
* libotputil: adding non-standard altdictionary for RFC 2289 OTP encodingDavid M. Syzdek2023-01-051-0/+1
* otp-altdict: adding programDavid M. Syzdek2023-01-051-1/+8
* autotools: updating DISTCHECK_CONFIGURE_FLAGSDavid M. Syzdek2023-01-051-0/+4
* autotools: adding maintainer option to configureDavid M. Syzdek2023-01-041-0/+3
* libotputil: adding word dictionary from s/key RFC 1760David M. Syzdek2023-01-041-1/+2
* test-otputil-hotp.sh: adding testDavid M. Syzdek2022-12-311-0/+2
* test-otputil-totp.sh: adding testDavid M. Syzdek2022-12-311-1/+3
* otputil: removing generate widgetDavid M. Syzdek2022-12-311-1/+0
* otputil: removing info widgetDavid M. Syzdek2022-12-311-1/+0
* otputil: removing widget verifyDavid M. Syzdek2022-12-311-2/+1
* otputil: removing widget codeDavid M. Syzdek2022-12-311-1/+0
* otputil: adding widget hotpDavid M. Syzdek2022-12-311-0/+1
* otputil: adding widget totpDavid M. Syzdek2022-12-311-0/+1
* test-hotp: adding testDavid M. Syzdek2022-12-311-0/+8
* autotools: expanding CLEANFILES to include EXTRA_PROGRAMSDavid M. Syzdek2022-12-301-0/+1
* project: renaming projectDavid M. Syzdek2022-12-301-2/+12
* otputil: renaming totp to otputilDavid M. Syzdek2022-12-301-7/+7